Skip to content

GET /v1/voices GET

curl -s https://api.vartalaap.si/v1/voices -H "x-api-key: $VARTALAAP_API_KEY"
{
  "voices": [
    {"name": "anjura", "language": "hi-IN+en-IN", "sample_rate": 24000, "prompt_frames": 102},
    {"name": "raj",    "language": "hi-IN+en-IN", "sample_rate": 24000, "prompt_frames": 102}
  ],
  "model": "pocket-tts-hinglish-v1"
}

Only the voices the presented key may use are listed (see voice allow-lists). prompt_frames is the length of the voice prompt the model was conditioned on, for the curious. Requires a key (401 otherwise).